<?php

/**

 * Register Form

 *

 * This template can be overridden by copying it to yourtheme/woocommerce-page-builder-templates/myaccount/form-register.php.

 *

 * HOWEVER, on occasion WooCommerce will need to update template files and you

 * (the theme developer) will need to copy the new files to your theme to

 * maintain compatibility. We try to do this as little as possible, but it does

 * happen. When this occurs the version of the template file will be bumped and

 * the readme will list any important changes.

 *

 * @see     https://docs.woocommerce.com/document/template-structure/

 * @author  WooThemes

 * @package WooCommerce/Templates

 * @version 2.6.0

 */



if ( ! defined( 'ABSPATH' ) ) {

	exit; // Exit if accessed directly

}



?>

<?php wc_print_notices(); ?>



<?php do_action( 'woocommerce_before_customer_login_form' ); ?>

<?php if (!is_user_logged_in() ) : ?>



<div class="u-column2 col-2">



		<h2><?php _e( 'Register', 'woocommerce' ); ?></h2>



		<form method="post" class="register">



			<?php do_action( 'woocommerce_register_form_start' ); ?>



			<?php if ( 'no' === get_option( 'woocommerce_registration_generate_username' ) ) : ?>



				<p class="woocommerce-FormRow woocommerce-FormRow--wide form-row form-row-wide">

					<label for="reg_username"><?php _e( 'Username', 'woocommerce' ); ?> <span class="required">*</span></label>

					<input type="text" class="woocommerce-Input woocommerce-Input--text input-text" name="username" id="reg_username" value="<?php if ( ! empty( $_POST['username'] ) ) echo esc_attr( $_POST['username'] ); ?>" />

				</p>



			<?php endif; ?>



			<p class="woocommerce-FormRow woocommerce-FormRow--wide form-row form-row-wide">

				<label for="reg_email"><?php _e( 'Email address', 'woocommerce' ); ?> <span class="required">*</span></label>

				<input type="email" class="woocommerce-Input woocommerce-Input--text input-text" name="email" id="reg_email" value="<?php if ( ! empty( $_POST['email'] ) ) echo esc_attr( $_POST['email'] ); ?>" />

			</p>



			<?php if ( 'no' === get_option( 'woocommerce_registration_generate_password' ) ) : ?>



				<p class="woocommerce-FormRow woocommerce-FormRow--wide form-row form-row-wide">

					<label for="reg_password"><?php _e( 'Password', 'woocommerce' ); ?> <span class="required">*</span></label>

					<input type="password" class="woocommerce-Input woocommerce-Input--text input-text" name="password" id="reg_password" />

				</p>

				<style type="text/css">.woocommerce-password-strength{margin-top:10px !important;}</style>



			<?php endif; ?>



			<!-- Spam Trap -->

			<div style="<?php echo ( ( is_rtl() ) ? 'right' : 'left' ); ?>: -999em; position: absolute;"><label for="trap"><?php _e( 'Anti-spam', 'woocommerce' ); ?></label><input type="text" name="email_2" id="trap" tabindex="-1" /></div>



			<?php do_action( 'woocommerce_register_form' ); ?>

			<?php do_action( 'register_form' ); ?>



			<p class="woocomerce-FormRow form-row">

				<?php wp_nonce_field( 'woocommerce-register', 'woocommerce-register-nonce' ); ?>

				<input type="submit" class="woocommerce-Button button" name="register" value="<?php esc_attr_e( 'Register', 'woocommerce' ); ?>" />

			</p>



			<?php do_action( 'woocommerce_register_form_end' ); ?>



		</form>



	</div>

<?php  endif; ?>



<?php do_action( 'woocommerce_after_customer_login_form' ); ?>